diff --git a/dh_installchangelogs b/dh_installchangelogs
index 3749d52..1919e55 100755
--- a/dh_installchangelogs
+++ b/dh_installchangelogs
@@ -73,13 +73,16 @@ my $changelog_name="changelog.Debian";
 if (! defined $upstream) {
 	if (! isnative($dh{MAINPACKAGE}) && !compat(6)) {
 		my @files=sort glob("*");
-		foreach my $name (qw{changelog changes changelog.txt changes.txt}) {
-			my @matches=grep {
-				lc $_ eq $name && -s $_ && ! excludefile($_)
-			} @files;
-			if (@matches) {
-				$upstream=shift @matches;
-				last;
+		foreach my $dir (qw{. doc docs}) {
+			foreach my $name
+				(qw{changelog changes changelog.txt changes.txt}) {
+				my @matches=grep {
+					lc $_ eq "$dir/$name" && -s $_ && ! excludefile($_)
+				} @files;
+				if (@matches) {
+					$upstream=shift @matches;
+					last;
+				}
 			}
 		}
 	}
